inslayer : dialog {
key = "title";
alignment = centered;
initial_focus= "newlayer";
	:edit_box {
	label = "Symbol Insertion Layer";
	key = "newlayer";
	edit_width=8;
	edit_limit=31;
	alignment = centered;
	fixed_width = true;
	allow_accept = true;
        }
	:row {
        alignment = centered;
        fixed_width = true;
	ok_only;
	}
}
 
dedit : dialog {
key = "title";
alignment = centered;
initial_focus= "newdesc";
	:edit_box {
	label = "Symbol Description:";
	key = "newdesc";
	alignment = centered;
        edit_width=19;
        edit_limit=19;
	fixed_width = true;
	allow_accept = true;
        }
	:row {
        alignment = centered;
        fixed_width = true;
	ok_only;
	}
}
 
 
 
template : dialog {
        key = "label";
 
:row {
       alignment=centered;
       fixed_width=true;
       :boxed_column {
       label="Insert";
       fixed_height=true;
       fixed_width=true;
       width=20;
       alignment=top;
       alignment=centered;
                    :button {
                        label = "* Insert symbol *";
                        height=1.8;
                        key = "insert";
                        width = 18;
                        mnemonic = "I";
                        fixed_width=true;
                        alignment=centered;
                    }
                    :toggle {
                        label = "Dynamic scale";
                        key = "scale";
                        width = 16;
                        fixed_width=true;
                        alignment=left;
                   }
                    :text_part {
                        width = 20;
                        fixed_width=true;
                        alignment=centered;
                        key = "scaletext";
                    }
                    :toggle {
                        label = "Dynamic rotate";
                        width = 16;
                        fixed_width=true;
                        alignment=left;
                        key = "angle";
                    }
                    :text_part {
                        width = 20;
                        fixed_width=true;
                        alignment=centered;
                        key = "rotext";
                    }
:row {
                    :toggle {
                        label = "Layer -";
                        width = 9;
                        fixed_width=true;
                        alignment=left;
                        key = "layerset";
                    }
                    :text_part {
                        width = 8;
                        fixed_width=true;
                        alignment=centered;
                        key = "layertext";
                    }
}
                    :toggle {
                        label = "Reference point";
                        width = 9;
                        fixed_width=true;
                        alignment=left;
                        key = "refpt";
                    }
                    :toggle {
                        label = "Explode";
                        width = 9;
                        fixed_width=true;
                        alignment=left;
                        key = "xplode";
                    }
               :row {
                    :button {
                        label = "Replace";
                        key = "replace";
                        width = 9;
                        fixed_width=true;
                        alignment=centered;
                        mnemonic = "R";
                    }
                    :button {
                        label = "ReLoad";
                        key = "reload";
                        width = 9;
                        fixed_width=true;
                        alignment=centered;
                        mnemonic = "L";
                    }
               }
       }
       :column {
 
       :boxed_column {
       label="Save";
       alignment=top;
       fixed_height=true;
       fixed_width=true;
       width=20;
                    :button {
                        label = "* Save symbol *";
                        height=1.8;
                        key = "save";
                        width = 18;
                        mnemonic = "S";
                        fixed_width=true;
                        alignment=centered;
                    }
                    :button {
                        label = "RedeFine symbol";
                        key = "redef";
                        width = 16;
                        fixed_width=true;
                        alignment=centered;
                        mnemonic = "F";
                    }
        }
 
        : boxed_column {
          fixed_height=true;
          fixed_width=true;
          width=20;
          alignment=top;
          label = "Attributes";
                    :button {
                        label = "Define (ddattdef)";
                        key = "attdef";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                    }
                    :button {
                        label = "Edit (ddatte)";
                        key = "datte";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                    }
                    :button {
                        label = "Modify (ddmodify)";
                        key = "modify";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                    }
        }
 
       }
}
: row {
 
        : boxed_column {
          fixed_height=true;
          alignment=top;
          fixed_width=true;
          width=20;
          label = "Edit";
                :row {
                    :button {
                        label = "Delete";
                        key = "delete";
                        fixed_width=true;
                        alignment=centered;
                        width = 9;
                        mnemonic = "D";
                    }
                    :button {
                        label = "ReOrder";
                        key = "reorder";
                        fixed_width=true;
                        alignment=centered;
                        width = 9;
                        mnemonic = "O";
                    }
 
                }
                    :button {
                        label = "Edit Description";
                        key = "edit";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                        mnemonic = "E";
                    }
                    :button {
                        label = "Alias Icon";
                        key = "alias";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                        mnemonic = "A";
                    }
                    :button {
                        label = "Single Icon";
                        key = "single";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                        mnemonic = "S";
                    }
        }
 
 
        : boxed_column {
          fixed_height=true;
          fixed_width=true;
          alignment=top;
          width=20;
          label = "Utilities";
 
                    :button {
                        label = "New Path";
                        key = "path";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                        mnemonic = "P";
                    }
                    :button {
                        label = "File Name";
                        key = "name";
                        width = 16;
                        mnemonic = "N";
                        fixed_width=true;
                        alignment=centered;
                    }
                    :button {
                        label = "Catalog Subdir";
                        key = "catalog";
                        width = 16;
                        fixed_width=true;
                        alignment=centered;
                        mnemonic = "C";
                    }
                    :button {
                        label = "Make/Init Subdir";
                        key = "make";
                        fixed_width=true;
                        alignment=centered;
                        width = 16;
                        mnemonic = "M";
                    }
        }
 }
        : boxed_row {
        label = "Tech Support and Ordering";
                    :button {
                        label = "CADDTECH";
                        fixed_width=true;
                        width=20;
                        alignment=left;
                        key = "about";
                        mnemonic = "T";
                    }
                    :button {
                        label = "  Help  ";
                        fixed_width=true;
                        alignment=right;
                        width=20;
                        key = "helpme";
                        mnemonic = "H";
                    }
        }
 
            ok_cancel;
}
 
about : dialog {
key = "order0";
: column {
fixed_width = true;
width = 40;
: text {
key = "order1";
alignment = centered;
}
: text {
key = "order2";
alignment = centered;
}
: text {
key = "order3";
alignment = centered;
}
: text {
key = "order4";
alignment = centered;
}
: text {
key = "order5";
alignment = centered;
}
: text {
alignment = centered;
key = "order6";
}
: text {
key = "order7";
alignment = centered;
}
: text {
key = "order8";
alignment = centered;
}
: text {
key = "order9";
alignment = centered;
}
: text {
key = "order10";
alignment = centered;
}
: text {
key = "order11";
alignment = centered;
}
: text {
key = "order12";
alignment = centered;
}
: text {
key = "order13";
alignment = centered;
}
: text {
key = "order14";
alignment = centered;
}
: text {
key = "order15";
alignment = centered;
}
}
ok_only;
}
 
 
nopath : dialog {
key = "nopath1";
alignment = centered;
: column {
fixed_width = true;
width = 56;
alignment = centered;
	: text {
        alignment = centered;
key = "nopath2";
	}
	: text {
	alignment = centered;
key = "nopath3";
	}
	: text {
	alignment = centered;
key = "nopath4";
	}
	: text {
	alignment = centered;
key = "nopath5";
	}
	: text {
	alignment = centered;
key = "nopath6";
	}
	: text {
	alignment = centered;
key = "nopath7";
	}
}
          :column {
 
                    :button {
                        label = "Help";
                        key = "helpme";
                        alignment = centered;
                        fixed_width = true;
                        width = 10;
                    }
                    :button {
                        label = "Make/Init Subdir";
                        key = "make";
                        alignment = centered;
                        fixed_width = true;
                        width = 16;
                    }
 
          }
 
ok_only;
}
 
 
insangle : dialog {
key = "title";
alignment = centered;
initial_focus= "newangle";
	:edit_box {
	label = "Symbol Insertion Angle";
	key = "newangle";
	alignment = centered;
	fixed_width = true;
	allow_accept = true;
        }
	:row {
        alignment = centered;
        fixed_width = true;
	ok_only;
	}
}
 
insscale : dialog {
key = "title";
alignment = centered;
initial_focus= "newscale";
	:edit_box {
	label = "Symbol Insertion Scale: (D for dimscale) ";
	key = "newscale";
	alignment = centered;
	fixed_width = true;
	allow_accept = true;
        }
	:row {
        alignment = centered;
        fixed_width = true;
	ok_only;
	}
}
 
init_path : dialog {
key = "title";
alignment = centered;
:text {
alignment = centered;
key= "make1";
}
	:edit_box {
	key = "newpath";
        is_default = true;
	alignment = centered;
	fixed_width = true;
        width = 60;
	allow_accept = true;
        }
:text {
alignment = centered;
key= "make2";
}
:text {
alignment = centered;
key= "make3";
}
ok_cancel;
}
 
caddtech_image : image_button {
        color                   = 0;
        width                   = 12;
        aspect_ratio            = 0.66;
        allow_accept            = false;
        fixed_height            = true;
        fixed_width             = true;
}
 
caddtech_icon: dialog {
        key = "label";
        initial_focus               = "menubox";
 
        : row {
            : list_box {
                width               = 22;
                height              = 20;
                fixed_height        = true;
                key                 = "listbox";
                allow_accept        = false;
            }
            : column {
                : row {
                    : caddtech_image {
                        key         = "icon1";
                    }
                    : caddtech_image {
                        key         = "icon2";
                    }
                    : caddtech_image {
                        key         = "icon3";
                    }
                    : caddtech_image {
                        key         = "icon4";
                    }
                }
                : row {
                    : caddtech_image {
                        key         = "icon5";
                    }
                    : caddtech_image {
                        key         = "icon6";
                    }
                    : caddtech_image {
                        key         = "icon7";
                    }
                    : caddtech_image {
                        key         = "icon8";
                    }
                }
                : row {
                    : caddtech_image {
                        key         = "icon9";
                    }
                    : caddtech_image {
                        key         = "icon10";
                    }
                    : caddtech_image {
                        key         = "icon11";
                    }
                    : caddtech_image {
                        key         = "icon12";
                    }
                }
                : row {
                    : caddtech_image {
                        key         = "icon13";
                    }
                    : caddtech_image {
                        key         = "icon14";
                    }
                    : caddtech_image {
                        key         = "icon15";
                    }
                    : caddtech_image {
                        key         = "icon16";
                    }
                }
                : row {
                    : caddtech_image {
                        key         = "icon17";
                    }
                    : caddtech_image {
                        key         = "icon18";
                    }
                    : caddtech_image {
                        key         = "icon19";
                    }
                    : caddtech_image {
                        key         = "icon20";
                    }
                }
            }
        }
        : row {
            : row {
                spacer_0;
                : row {
                    fixed_width = true;
                    : button {
                        label = /*MSG77*/"Previous";
                        mnemonic = /*MSG476*/"P";
                        key = "prev";
                        width = 8;
                    }
                    :spacer {
                        width = 2;
                    }
                    :button {
                        label = /*MSG78*/"  Next  ";
                        mnemonic = /*MSG477*/"N";
                        key = "next";
                        width = 8;
                    }
                    :spacer {
                        width = 9;
                    }
                    :button {
                        label = "New Path";
                        key = "path";
                        width = 8;
                        mnemonic = "P";
                    }
                }
                spacer_0;
            }
            spacer;
            ok_cancel;
        }
}